Bug 783893 - (JBESB-3727) Wise SOAPClient fails to work with WRAPPED services [NEEDINFO]
Wise SOAPClient fails to work with WRAPPED services
Status: VERIFIED
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.2.0 GA
All All
high Severity high
: ER1
: 5.3.0 GA
Assigned To: tcunning
https://issues.jboss.org/browse/JBESB...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-23 01:52 EST by Magesh Kumar Bojan
Modified: 2015-10-18 18:38 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The Wise SOAPClient did not map all of the parameters for wrapped-style web services to SOAP requests. An additional XML attribute was needed. The software has now been changed so that they map correctly.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dlesage: needinfo? (tcunning)


Attachments (Terms of Use)
patched jboss-wise aop jar (9.70 KB, application/octet-stream)
2012-03-01 18:29 EST, Jason Shepherd
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBESB-3727 Major Closed WISE SOAPClient fails to work with WRAPPED services 2013-04-29 06:22:19 EDT

  None (edit)
Description Magesh Kumar Bojan 2012-01-23 01:52:28 EST
Wise SOAPClient does not map all parameters to SOAP Request for WRAPPED style Web Services. Additional information and steps to reproduce are in the linked JIRA.
Comment 1 Magesh Kumar Bojan 2012-01-23 01:54:09 EST
Customer case 
https://c.na7.visual.force.com/apex/Case_View?id=500A000000909zW
Comment 2 Jason Shepherd 2012-03-01 18:29:46 EST
Created attachment 566968 [details]
patched jboss-wise aop jar
Comment 3 Jason Shepherd 2012-03-01 18:31:01 EST
The customer was unable to test the patch jar due to time contrainst. However confirmed it worked for me with the customer's example.

Magesh, please proceed with any additional work required to get this included.
Comment 4 Rick Wagner 2012-03-19 17:17:49 EDT
GSS considers this a high priority.
Comment 5 JBoss JIRA Server 2012-03-23 11:46:17 EDT
Magesh Bojan <mageshbk@jboss.com> updated the status of jira JBESB-3727 to Closed
Comment 6 JBoss JIRA Server 2012-03-23 11:46:17 EDT
Magesh Bojan <mageshbk@jboss.com> made a comment on jira JBESB-3727

At revision: 37927
Comment 7 Filip Elias 2012-06-05 12:29:18 EDT
Verified in SOA-P 5.3 ER3
Comment 8 David Le Sage 2012-06-12 20:39:10 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
The Wise SOAPClient did not map all of the parameters for wrapped-style web services to SOAP requests. An additional XML attribute was needed. The software has now been changed so that they map correctly.
Comment 9 David Le Sage 2012-06-12 20:40:13 EDT
Please check the above release note.  How was this actually fixed? Do customers have to do anything to their web services by hand?

Note You need to log in before you can comment on or make changes to this bug.